> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user info

> Get user info for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/auth/userInfo
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/auth/userInfo:
    get:
      tags:
        - Authentication
      summary: Get user info
      description: Get user info for the authenticated user
      operationId: getUserInfo
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfoDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    UserInfoDTOV5:
      type: object
      properties:
        userId:
          type: string
          description: Id of the user in your DB
        email:
          type: string
          description: Email of the user
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        bizName:
          type: string
          description: Business name for the user's primary line of work
          example: Better Homes and Gardens
        phoneWork:
          type: string
          description: The user's phone number
        address1:
          type: string
          description: First line of the user's address
        address2:
          type: string
          description: Second line of the user's address
        city:
          type: string
          description: City of the user's address
        state:
          type: string
          description: State/Province of the user's address
        zip:
          type: string
          description: Zip/Postal code of the user's address
        entityType:
          type: string
          description: Type of entity belonging to the user
          enum:
            - SOLE_PROPRIETORSHIP
            - LLP
            - LLC
            - S_CORP
            - C_CORP
        accountingMethod:
          type: string
          description: Accounting method used by the user
          enum:
            - CASH
            - ACCRUAL
        itemizePayouts:
          type: boolean
          description: >-
            Whether the transactions comprising payouts should be displayed in
            an itemized manner. Defaults to true. Should be set to false if the
            line of business (e.g. Coffee Shop) is such that each payout
            comprises so many individual transactions that the granularity would
            be overbearing for the business owner to see. Note: the full
            granularity is always preserved and this flag can be toggled on/off
            at any time
          example: true
        suggestRules:
          type: boolean
          description: >-
            Whether Tight's categorization engine should automatically suggest
            rules. Defaults to true.
          example: true
        currentFiscalYear:
          type: integer
          description: The user's current fiscal year
          format: int32
          readOnly: true
        taxCountryCode:
          type: string
          description: Country code representing where the user is located
          readOnly: true
          enum:
            - USA
            - CAN
        language:
          type: string
          description: Language used by the user
          readOnly: true
          enum:
            - EN
            - ES
            - FR
            - ZH
            - ID
        userRole:
          type: string
          description: User role of user
          enum:
            - OWNER
            - READ_ONLY
        availableFeatures:
          $ref: '#/components/schemas/ApiAccountParamFeaturesSamplePostData'
        mcc:
          type: integer
          description: Merchant Category Code (MCC) for the business
          format: int64
          example: 5812
        naics:
          type: integer
          description: >-
            North American Industry Classification System (NAICS) code for the
            business
          format: int64
          example: 722511
        federalTaxIdInfo:
          $ref: '#/components/schemas/FederalTaxIdInfo'
        bankInfo:
          $ref: '#/components/schemas/BankInfo'
    ApiAccountParamFeaturesSamplePostData:
      type: object
      properties:
        bankTransactions:
          type: boolean
          description: >-
            Whether bank transactions are enabled for this user. Defaults to
            true.
          example: true
        bills:
          type: boolean
          description: Whether bills are enabled for this user. Defaults to true.
          example: true
        bookkeeping:
          type: boolean
          description: Whether bookkeeping is enabled for this user. Defaults to true.
          example: true
        imports:
          type: boolean
          description: Whether imports are enabled for this user. Defaults to true.
          example: true
        invoicing:
          type: boolean
          description: Whether invoicing is enabled for this user. Defaults to true.
          example: true
        payroll:
          type: boolean
          description: Whether payroll is enabled for this user. Defaults to true.
          example: true
        reporting:
          type: boolean
          description: >-
            Whether financial reporting is enabled for this user. Defaults to
            true.
          example: true
        taxes:
          type: boolean
          description: Whether tax estimates are enabled for this user. Defaults to true.
          example: true
        timeTracking:
          type: boolean
          description: Whether time tracking is enabled for this user. Defaults to true.
          example: true
      description: Available features for the user
      xml:
        name: ApiAccountParamFeaturesSample
    FederalTaxIdInfo:
      type: object
      properties:
        type:
          type: string
          description: Type of federal tax identification number
          example: EIN
          enum:
            - SSN
            - EIN
            - ITIN
            - ATIN
            - PTIN
            - SSN
            - EIN
            - ITIN
            - ATIN
            - PTIN
        number:
          type: string
          description: Federal tax identification number
          example: '123456789'
      description: Federal tax id info for the user
    BankInfo:
      type: object
      properties:
        routingNumber:
          type: string
          description: Bank routing number (must be a valid bank routing number)
          example: '111000025'
        accountNumber:
          type: string
          description: Bank account number
          example: '9876543210'
      description: Bank info for the user
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````